#define PROG_NAME "sturges"
#define VERSION  PROG_NAME " - Time-stamp: <2003-11-12 13:27:43 yamagen>"
#define TRUE 1
#define FALSE 0
#define ALL_DIGIT  1
#define INC_SIGNED 2
#define INC_FLOAT  3
#define INC_FLOAT_SIGNED 4
#define BUF 4096
#define USAGE     "% " PROG_NAME " [-schierv] [-Wnum] file....\n"\
                  "  -s   print statistical data\n"\
                  "  -c   show only range and frequency count\n"\
                  "  -h   print this help\n"\
                  "  -i   round delta to integer value\n"\
                  "  -e   print no error messages\n"\
                  "  -r   print rank\n"\
                  "  -v   print " PROG_NAME " version\n"\
                  "  -Wn  set screen width to n (default: n=60)\n"\
                  "(c) H. Yamamoto yamagen@ucsd.edu\n"

#define SQU(x)          ( (x) * (x) )             /* Square */
#define CUBE(x)         ( (x) * (x) * (x) )       /* Cube */
#define MIN(x,y)        ( (x) < (y) ? (x) : (y) ) /* Return smallest */
#define MAX(x,y)        ( (x) > (y) ? (x) : (y) ) /* Return largest */
#define DEG(x)          ( (x) / (PI) * 180.0 )    /* Radians -> Degrees */
#define RAD(x)          ( (x) / 180.0 * (PI) )    /* Degress -> Radians */

typedef struct /* def of range */
{
	double range;
	int cnt;
}		ST_RANGE;


